# eric7.QScintilla.EditorMarkerMap

Module implementing a class for showing an editor marker map.

### Global Attributes

None

### Classes

EditorMarkerMap | Class implementing a class for showing an editor marker map.

### Functions

None

## EditorMarkerMap

Class implementing a class for showing an editor marker map.

### Derived from

EricMapWidget

### Class Attributes

None

### Class Methods

None

### Methods

EditorMarkerMap | Constructor
__drawIndicator | Private method to draw an indicator.
_paintIt | Protected method for painting the widget's indicators.
initColors | Public method to initialize the colors.

### Static Methods

None

#### EditorMarkerMap (Constructor)

EditorMarkerMap(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EditorMarkerMap.__drawIndicator

__drawIndicator(line, painter, color)

Private method to draw an indicator.

line
  line number (integer)
painter
  reference to the painter (QPainter)
color
  color to be used (QColor)

#### EditorMarkerMap._paintIt

_paintIt(painter)

Protected method for painting the widget's indicators.

painter
  reference to the painter object (QPainter)

#### EditorMarkerMap.initColors

initColors()

Public method to initialize the colors.

Up